> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Transfer Token

> Batch transfers from the `from` wallet to the list of
`recipients` with the provided amount. The `from` address can only be the ones
created in the project. Transfers within a batch are processed atomically
in a single transaction, resulting in significantly lower average costs
compared to individual transfers


<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml post /tokens/batch-transfer
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /tokens/batch-transfer:
    post:
      tags:
        - Tokens
      summary: Batch Transfer Token
      description: >
        Batch transfers from the `from` wallet to the list of

        `recipients` with the provided amount. The `from` address can only be
        the ones

        created in the project. Transfers within a batch are processed
        atomically

        in a single transaction, resulting in significantly lower average costs

        compared to individual transfers
      operationId: tokens_batch-transfer
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                network:
                  $ref: '#/components/schemas/Network'
                from:
                  type: string
                  description: from address of the transfer
                token:
                  type: string
                  description: >-
                    token contract address or symbol in case of the gas token to
                    be transferred.
                transfers:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/BatchTransferTokenRequestTransfersItem
                  description: transfers in this batch, max batch size is 50 transfers.
                developer_secret:
                  $ref: '#/components/schemas/DeveloperSecret'
                  nullable: true
                user_pin:
                  $ref: '#/components/schemas/UserPin'
                  nullable: true
              required:
                - network
                - from
                - token
                - transfers
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionSubmissionResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    Network:
      title: Network
      type: string
      enum:
        - Ethereum
        - Polygon
        - Base
        - Avalanche
        - Polkadot
        - Vara
    BatchTransferTokenRequestTransfersItem:
      title: BatchTransferTokenRequestTransfersItem
      type: object
      properties:
        recipient:
          type: string
          description: recipient of the transfer
        amount:
          type: string
          description: amount to be transferred
      required:
        - recipient
        - amount
    DeveloperSecret:
      title: DeveloperSecret
      type: string
      nullable: true
      description: >-
        On testnet, the developer_secret is always "testnet-secret". On mainnet,
        the developer_secret is set by the developer during account activation.
    UserPin:
      title: UserPin
      type: string
      nullable: true
      description: >-
        A 6-digit numeric pin that is only known to the user, set during wallet
        creation. This pin is required to sign transactions from this wallet.
    TransactionSubmissionResponse:
      title: TransactionSubmissionResponse
      type: object
      properties:
        transaction_id:
          type: string
        network:
          $ref: '#/components/schemas/Network'
        status:
          type: string
      required:
        - transaction_id
        - network
        - status
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````